import { h } from 'vue';

export const columns = [
  {
    title: '序号',
    render: (_, index) => {
      return `${index + 1}`
    },
    fixed: 'left',
    width: 80,
  },
  {
    title: '会话编号',
    key: 'tokenId',
    width: 300,
  },
  {
    title: '登录名称',
    key: 'username',
    width: 100,
  },
  {
    title: '部门名称',
    key: 'deptName',
    width: 150,
  },
  {
    title: 'IP地址',
    key: 'ipAddr',
    width: 150,
  },
  {
    title: '登录地点',
    key: 'loginLocation',
    width: 100,
  },
  {
    title: '浏览器',
    key: 'browser',
    width: 150,
  },
  {
    title: '操作系统',
    key: 'os',
    width: 150,
  },
  {
    title: '登录时间',
    key: 'loginTime',
    width: 180,
  },
  {
    title: '操作',
    fixed: 'right',
    key: 'action',
    width: 100,
  },
];
